﻿@model IEnumerable<dbChange.Models.Staff>
@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/Admin/_Layout_Admin.cshtml";
    List<DonViChiTiet_BoPhan> lsBoPhan = ViewData["lsBoPhan"] as List<DonViChiTiet_BoPhan>;
    var lsDonVi = ViewData["lsDonVi"] as List<DM_BoPhanChiTiet>;
    
}

<h1>Danh sách nhân viên</h1>

<p>
    <a asp-action="Create">Tạo mới</a>
</p>
<div class="container-fluid">
    <form action="" method="get" style="width:100%;">
        <div class="row mb-5">
            <div class="col-3">
                <div class="iq-header-title">
                    <label for="Id">Đơn vị </label>
                    <select class="form-control form-control-sm" name="DonVi" id="DonVi">
                        <option value="0">Tất cả</option>
                        @{
                            foreach (var item in lsDonVi)
                            {
                                <option value="@item.Id">@item.TenDonVi</option>
                            }
                        }
                    </select>
                </div>
            </div>
            <div class="col-3">
                <div class="iq-header-title">
                    <button class="btn btn-primary btnLayDanhSachTheoDonVi" style="margin-top:25px;" type="submit"><i class="fa fa-save"></i>Xem</button>
                </div>
            </div>
        </div>
    </form>
</div>
<table class="table">
    <thead>
        <tr>
            <th>
                Họ tên
            </th>
            <th>
                Ngày sinh
            </th>
            <th>
                Giới tính
            </th>
            <th>
                Điện thoại
            </th>
            <th>
                CMND
            </th>
            <th>
                Địa chỉ
            </th>
            <th>
                Đơn vị
            </th>
            <th>
                Bộ phận
            </th>
            <th>
                CCCD
            </th>
            <th>
                MaNS
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.HoTen)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.NgaySinh)
                </td>
                <td>
                    @if (item.GioiTinh == "0")
                    {
                        <span>Nam</span>
                    }
                    else
                    {
                        <span>Nữ</span>
                    }

                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DienThoai)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CMND)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DiaChi)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DonViChiTiet)
                </td>
                <td>
                    @{ 
                        foreach(DonViChiTiet_BoPhan row in lsBoPhan)
                        {
                            if(Convert.ToInt32(row.Id) == item.BoPhanId)
                            {
                                <span>@row.TenBoPhan</span>
                            }
                        }
                    }
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CCCD)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.MaNS)
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.Id">Cập nhật</a> |
                    <a asp-action="Delete" asp-route-id="@item.Id">Xóa</a>
                </td>
            </tr>
        }
    </tbody>
</table>
